Skip to content

Select theme

Get Unassigned Layers

GET
/{organization}/projects/{projectId}/layer-directory
curl --request GET \
--url https://app.civillo.com/api/v1/example/projects/1/layer-directory \
--header 'Authorization: Bearer <token>'

Get all layers that are not unassigned in the project layer directory

organization
required
string

The organization nickname

projectId
required
integer

The project id

Successful response

Media typeapplication/json
Array
object
id

The unique identifier for this layer

integer
layerId

The unique identifier for this layer

integer
name

The name of this layer

string
>= 2 characters <= 128 characters
Example
[
{
"id": 123,
"layerId": 123,
"name": "My layer"
}
]

Unauthorized

Forbidden